Subject: [os2genau_digest] No. 1537
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Mon, 20 Aug 2007 00:00:36 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Sunday 19 August 2007
 Number  1537
**************************************************

Subjects for today
 
1  Re:  Router : Peter L Allen" <allenpl at netspace dot net dot au>
2  Re:  Helper applications in Firefox : Peter L Allen" <allenpl at netspace dot net dot au>
3  Re:  Helper applications in Firefox : Peter Moylan <peter at pmoylan dot org>

**= Email   1 ==========================**

Date:  Sun, 19 Aug 2007 18:01:16 +1000 (EST)
From:  "Peter L Allen" <allenpl at netspace dot net dot au>
Subject:  Re:  Router

On Tue, 14 Aug 2007 09:20:00 +1000, Ed Durrant wrote:

>Peter L Allen wrote:
>>
>> OK - I can see some possible utility for WiFi, BUT, OS2 drivers for PC adapter cards??
>>
>> Have been able to connect directly with Injoy pppoe client - lot slower than XP - due to 
>> old tcpip stack, 4.02y ???
>>
>> Did the 4.1 version go public at some stage?
>>
>> 				Regards,
>> 						allenpl
>>   
>
>
>WiFi PCI / Mini-PCI / PCMCIA OS/2 drivers - the Genmac wrapper driver 
>series supports some cards, more being added all the time. The other 
>simple alternative is to use an external ethernet to WiFi box as used 
>with game consoles. The OS/2 system then simply see an ethernet connection.
>
>My reference to Injoy was that you could run an OS/2 PC as a router 
>using Injoy Firewall software (which I did for a couple of years) - it's 
>fast stable and reliable. However once the Wifi Router boxes, such as 
>the Linksys WRT54G came on the market, they were simply a cheaper solution.
>
>In short - there's lots of options out there for routers / with and 
>without WiFi, all should work with OS/2 and Windows systems without 
>issues as you simply see the ethernet connection.
>
>Cheers/2
>
>Ed.
>>   

OK, have now got tcpip32 from Ian Manners running - download speed same as XP.
Ed, understood your ref to Injoy - setup PPPoe - works same as dialup and indicates
to me the system is fairly "normal".
Had no idea of WiFi to ethernet boxes - looks the way to go if required.
Linksys WRT54G looks a go,

					Regards,
							allenpl

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Sun, 19 Aug 2007 19:16:25 +1000 (EST)
From:  "Peter L Allen" <allenpl at netspace dot net dot au>
Subject:  Re:  Helper applications in Firefox

On Sat, 11 Aug 2007 17:18:37 +1000, Peter Moylan wrote:

Does this address the query?

http://www.os2bbs dot com/os2news/Warpzilla.html

them "mailcap"
			Regards,
					allenpl

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Sun, 19 Aug 2007 22:57:53 +1000
From:  Peter Moylan <peter at pmoylan dot org>
Subject:  Re:  Helper applications in Firefox

On 19/08/07 19:16, Peter L Allen wrote:
> On Sat, 11 Aug 2007 17:18:37 +1000, Peter Moylan wrote:
> 
> Does this address the query?
> 
> http://www.os2bbs dot com/os2news/Warpzilla.html
> 
> them "mailcap"

Initially I thought it would; but then I noticed a recommendation on the 
same page for a Firefox extension called "Media Player Connectivity", 
and when I looked at the discussions on the "Firefox Add-ons" web site, 
I found an article entitled "Stupid websites checking for plugin", and 
finally everything fell into place.

In fact I _do_ have a helper application for streams of type audio/mpeg 
(namely Z!) installed in Firefox, and on many web sites the audio plays 
perfectly. On some web pages, however, the page author is explicitly 
checking whether I have Windows Media Player installed, and because I 
don't it displays the "click here to get plugin" instead of letting me 
have the mp3 file! This is like problems we used to have with web pages 
that checked which version of Internet Exploder we were running, and 
refusing to operate because we were using a non-Microsoft browser. Or, 
going back further in time, all those web sites that started the browser 
wars by saying "Best viewed with Netscape".

I've now installed the "Media Player Connectivity" add-on, and it solves 
the problem with the page I originally mentioned. I still have to 
configure it for most media types, but the mp3 problem is gone. I'll try 
it out with other pages and media types when I have more time.

This still leaves the fact that Firefox has two bugs:

1. In the Tools/Options notebook, the part that is supposed to display 
the installed helper applications gives an empty list, so we can't see 
what helpers we have installed. (Although they do remain installed even 
if they're not on the list, provided that they were installed in an 
earlier version of Firefox.) Note that this bug is NOT present in 
Thunderbird, yet Thunderbird is one place where we don't really need 
media players.

2. Even in the older versions of Firefix where the list displays 
correctly, there is no "Add new application" entry. The only time we're 
allowed to add a new application is where an unknown file type is 
encountered, and we're asked whether we want to save it or specify an 
application to use to open it. In many cases only the "save" option is 
enabled, because Firefox tells you that this is a binary file that 
should not be opened. (How does it know? More to the point, why does it 
think it knows when I know the opposite?)

Peter

-- 
Peter Moylan                          peter at pmoylan dot org
                                       http://www.pmoylan dot org

Please note that my e-mail address has changed yet again.
Some of my older addresses still work, but it is not certain
when they will be phased out.
----------------------------------------------------------------------------------